<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on January 26, 2009 at 12:51:18 pm</time-stamp>


<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>logging</category>

<body package="SAM-Interface" selector="logProtocolError:">logProtocolError: ex
	&lt;comment: 'An error occurred in the SAM JMS communication protocol'&gt;
	&lt;probableCause: 'The SAM JMS process died.'&gt;
	&lt;suggestedAction: 'Contact technical support'&gt;

	self system
		logWarning: #SAM_JMS_PROTOCOL_ERROR
		messageId: #DL39217
		template: ##('There was an error communicating with the SAM interface &lt;1s:uri&gt;: &lt;2s:message&gt;' asLogTemplate)
		arguments: [{self uri asString. ex description}].</body>
</methods>



</st-source>
