<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on February 25, 2009 at 9:22:57 am</time-stamp>


<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>private</category>

<body package="SAM-Interface" selector="cleanInventoryQueue">cleanInventoryQueue
	
	[inventoryChangeQueue isEmpty] 
		whileFalse: [inventoryChangeQueue nextNoWait] </body>
</methods>


<methods>
<class-id>PROVISO.UBA.PvSAMDeviceSchema</class-id> <category>enumerating</category>

<body package="SAM-Interface" selector="processFullDumpFor:">processFullDumpFor: anInterface 
	
	| retries |
	retries := 0.
	anInterface connection ifNotNil: 
		[:conn | 
		conn jmsInterface doInventoryChange: 
			[self adaptor environmentDo: 
				[[conn jmsInterface cleanInventoryQueue.
				anInterface preFullDump.
				self onFullDump valueWithThis: self.
				anInterface postFullDump] 
					on: Error
					do: 
						[:ex | 
						(ex isResumable or: [ex isKindOf: SmeeError]) 
							ifFalse: 
								[(self timeFacade delayForMilliseconds: 500) wait.
								retries &lt; 10 
									ifTrue: 
										[retries := retries + 1.
										self logFullDumpRetried: ex.
										ex retry]].
						self logFullDumpInterrupted: ex.
						anInterface markNotInFullDump.
						conn jmsInterface markFullDumpInterrupted]]]].
	^'A full dump has been scheduled'</body>
</methods>



</st-source>
